unit PrjAdmi;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, Grids, DBGrids, DB, DBTables, ComCtrls;

type
  TPrjForm = class(TForm)
    DBGrid1: TDBGrid;
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    Panel2: TPanel;
    BitBtn5: TBitBtn;
    BitBtn6: TBitBtn;
    procedure BitBtn5Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn6Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PrjForm: TPrjForm;

implementation

uses DMs, InputPrj, main;

{$R *.dfm}

//---------------------------------------------------------------------------
procedure TPrjForm.BitBtn5Click(Sender: TObject);
begin
    Close();
end;


//---------------------------------------------------------------------------
procedure TPrjForm.BitBtn3Click(Sender: TObject);
var
    i, succeed: integer;
    Sou, Dest: AnsiString;
begin
    i := MessageBox( Handle, 'Tw{bn}lƥӵMפɮסH', 'T{',
        MB_YESNO +MB_ICONINFORMATION );

    if i = IDYES then
        begin
        succeed := 0;

        DM.TableFile.Active := True;
        DM.TableFile.First;

        while DM.TableFile.Eof = false do
        begin
            Sou := ExtractFilePath(DM.TableFile.FieldByName('OrgPath').AsString ) +
                    ExtractFileName(DM.TableFile.FieldByName('File').AsString );
            Dest := DM.TableFile.FieldByName('DestPath').AsString + '\' + DM.TableFile.FieldByName('File').AsString;

            if ( (DM.TableFile.FieldByName('Kind').AsString = 'ɮ') and
                     FileExists(Sou) ) then
                begin
                Form1.StatusBar1.Panels[2].Text := 'bƻs ' + Sou;
                if( CopyFile( PChar(Sou), PChar(Dest), False ) = true ) then
                        succeed := succeed + 1
                end
            else if( (DM.TableFile.FieldByName('Kind').AsString = 'ؿ') and
                        DirectoryExists(Sou) ) then
                begin
                Form1.StatusBar1.Panels[2].Text := 'bƻs ' + Sou;
                if( Form1._CopyDir( PChar(Sou), PChar(Dest) ) = true ) then
                        succeed := succeed + 1;
                end;
            Application.ProcessMessages;

            DM.TableFile.Next();
        end;

        DM.TableFile.Active := False;

        DM.TablePrj.Edit();
        DM.TablePrj.FieldByName('LastTime').AsDateTime := Now();
        DM.TablePrj.Post();

        Form1.StatusBar1.Panels[2].Text := '';
        ShowMessage('\ƥF' + IntToStr(succeed) + 'Ӫ');
        end;
end;


//---------------------------------------------------------------------------
procedure TPrjForm.BitBtn1Click(Sender: TObject);
var
    ListItem: TListItem;
begin

    with Form1 do
    begin
        ClearAllBackupObg();

        DM.TableFile.Open();
        DM.TableFile.First;

        while DM.TableFile.Eof = false do
        begin
            with ListView1 do
            begin
                ListItem := Items.Add;
                ListItem.Caption := DM.TableFile.FieldByName('File').AsString;
                ListItem.SubItems.Add( DM.TableFile.FieldByName('OrgPath').AsString );
                ListItem.SubItems.Add( DM.TableFile.FieldByName('DestPath').AsString );
                ListItem.SubItems.Add( DM.TableFile.FieldByName('Kind').AsString );
            end;
            DM.TableFile.Next();
        end;

        DM.TableFile.Close();
        StatusBar1.Panels[0].Text := DM.TablePrj.FieldByName('PrjName').AsString;
        StatusBar1.Panels[1].Text := IntToStr(ListView1.Items.Count);
        PlanID := DM.TablePrj.FieldByName('ID').AsInteger;
        HaveChang := False;

    end;


    Close();
end;


//---------------------------------------------------------------------------
procedure TPrjForm.BitBtn6Click(Sender: TObject);
begin
    InputPrjDlg.NeedChkrepeat := False;
    InputPrjDlg.ShowModal;
end;


//---------------------------------------------------------------------------
procedure TPrjForm.BitBtn4Click(Sender: TObject);
begin
    if( MessageBox( Handle, 'TwnRӱMסH', 'T{',
            MB_ICONWARNING + MB_YESNO ) = IDYES ) then
    begin
        with DM.QDelFiles do
        begin
            ParamByName('PrjID').AsInteger := DM.TablePrj.FieldByName('ID').AsInteger;
            ExecSQL();
        end;

        DM.TablePrj.Delete;
    end;
end;

end.
